Package ru.bitel.oss.systems.inventory.subscription.common.service

# Interface SubscriptionService

    public interface SubscriptionService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Subscription` | `subscriptionGet​(int id)` |
  `SubscriptionMode` | `subscriptionModeGet​(int id)` |
  `java.util.List<SubscriptionMode>` | `subscriptionModeList​(int subscriptionTypeId, java.util.Date date)` |
  `int` | `subscriptionModeUpdate​(SubscriptionMode subscriptionMode)` |
  `void` | `subscriptionTypeDelete​(int id)` |
  `SubscriptionType` | `subscriptionTypeGet​(int id)` |
  `java.util.List<SubscriptionType>` | `subscriptionTypeList​(java.util.Date date)` |
  `java.util.List<SubscriptionType>` | `subscriptionTypeListAvailable​(int contractId, java.util.Date time, java.util.List<Subscription> currentSubscriptionList, boolean onlyAvailable, boolean web)` |
  `void` | `subscriptionTypeUpdate​(SubscriptionType subscriptionType)` |
  `void` | `subscriptionUpdate​(Subscription subscription, boolean web)` |

- ## Method Details

  - ### subscriptionTypeGet

    SubscriptionType subscriptionTypeGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionTypeList

    java.util.List<SubscriptionType> subscriptionTypeList​(java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionTypeListAvailable

    java.util.List<SubscriptionType> subscriptionTypeListAvailable​(int contractId, java.util.Date time, java.util.List<Subscription> currentSubscriptionList, boolean onlyAvailable, boolean web) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionTypeDelete

    void subscriptionTypeDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionTypeUpdate

    void subscriptionTypeUpdate​(SubscriptionType subscriptionType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionModeList

    java.util.List<SubscriptionMode> subscriptionModeList​(int subscriptionTypeId, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionModeGet

    SubscriptionMode subscriptionModeGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionModeUpdate

    int subscriptionModeUpdate​(SubscriptionMode subscriptionMode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionGet

    Subscription subscriptionGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### subscriptionUpdate

    void subscriptionUpdate​(Subscription subscription, boolean web) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`